@use crate::Page;
@use crate::templates::base_html;

@(page: &Page, content: Html<String>)

@:base_html(page, {
    <header id="page">
        <div class="inner-col">
            <div class="breadcrumbs">
                <h1>
                  <a href="@page.url_prefix()/"><span>Lib</span>.rs</a>
                </h1> › @page.title
            </div>
            <nav><ul>
              <li class=active>@page.title</li>
              <li><a href="@page.url_prefix()/">Categories</a></li>
              <li><a href="@page.url_prefix()/new">New and trending</a></li>
              <li><a href="https://gitlab.com/lib.rs?sort=stars_desc">Lib.rs's GitLab</a></li>
              <li><a href="https://gitlab.com/lib.rs/main/issues/new">Report a bug</a></li>
            </ul></nav>
        </div>
    </header>

    <main>
        <div class="inner-col">
            @content
        </div>
    </main>

    <footer>
        <div class="inner-col" role="contentinfo">
        <p>By <a href=https://kornel.ski>kornelski</a>.</p></div></footer>
})
